<?php
if ( ! defined( 'FINANCIAL_ADVISOR_VERSION' ) ) {
	define( 'FINANCIAL_ADVISOR_VERSION', '1.1' );
}

/**
 * Enqueue scripts and styles.
 */
function financial_advisor_scripts() {
	wp_enqueue_style( 'financial-advisor-style', trailingslashit( get_template_directory_uri() ) . 'assets/css/style.css', array(), FINANCIAL_ADVISOR_VERSION );

	wp_enqueue_style( 'financial-advisor-fontawesome', trailingslashit( get_template_directory_uri() ) . 'assets/css/font-awesome/css/all.css', array(), FINANCIAL_ADVISOR_VERSION );

	wp_enqueue_style( 'owl-carousel-css', trailingslashit( get_template_directory_uri() ) . 'assets/css/owl.carousel.css', array(), FINANCIAL_ADVISOR_VERSION );
	
	// Enqueue theme JavaScript
	wp_enqueue_script( 'financial-advisor-theme', trailingslashit( get_template_directory_uri() ) . 'assets/js/theme.js', array(), FINANCIAL_ADVISOR_VERSION, true );

	wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), true );

}
add_action( 'wp_enqueue_scripts', 'financial_advisor_scripts' );

function financial_advisor_load_dashicons_front_end() {
    wp_enqueue_style( 'dashicons' );
}
add_action( 'wp_enqueue_scripts', 'financial_advisor_load_dashicons_front_end' );

/**
 * Enqueue Editor styles.
 */
function financial_advisor_enqueue_editor_block_styles() {
	// Enqueue editor styles.
	add_editor_style( trailingslashit( get_template_directory_uri() ) . 'assets/css/editor-style.css' );
}
add_action( 'after_setup_theme', 'financial_advisor_enqueue_editor_block_styles' );

/**
 * Pattern categories.
 */
function financial_advisor_register_block_pattern_category() {
	register_block_pattern_category(
		'banner',
		array(
			'label' => esc_html__( 'Banner', 'financial-advisor' ),
		)
	);
	
	register_block_pattern_category(
		'product',
		array(
			'label' => esc_html__( 'Services', 'financial-advisor' ),
		)
	);
}
add_action( 'init', 'financial_advisor_register_block_pattern_category' );

/**
 * Add theme support for various features.
 */
function financial_advisor_setup() {

	load_theme_textdomain( 'financial-advisor', get_template_directory() . '/languages' );

	// Add support for block styles.
	add_theme_support( 'wp-block-styles' );
	
	// Add support for editor styles.
	add_theme_support( 'editor-styles' );
	
	// Add support for responsive embedded content.
	add_theme_support( 'responsive-embeds' );
}
add_action( 'after_setup_theme', 'financial_advisor_setup' );

/**
 * Upgrade to Pro
 */
require_once( trailingslashit( get_template_directory() ) . 'financial-advisor-pro/class-customize.php' );

/**
 * Notices
 */
require_once get_parent_theme_file_path( '/activation-notice/class-welcome-notice.php' );

/**getstart*/
require get_template_directory() . '/financial-advisor-get-theme-info.php';

if ( ! function_exists( 'financial_advisor_admin_scripts' ) ) :
    function financial_advisor_admin_scripts($hook) {
        wp_enqueue_style( 'financial-advisor-get-theme-info-css', get_template_directory_uri() . '/assets/css/financial-advisor-get-theme-info.css', false ); 
    }
endif;
add_action( 'admin_enqueue_scripts', 'financial_advisor_admin_scripts' );